/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.TipoParada;
import com.rjconsultores.ventaboletos.utilerias.RegistroConDependenciaException;

/**
 *
 * @author Administrador
 */
public interface TipoParadaService {

	public List<TipoParada> obtenerTodos();

    public TipoParada obtenerID(Integer id);

    public TipoParada suscribir(TipoParada entidad);

    public TipoParada actualizacion(TipoParada entidad);

    public void borrar(TipoParada entidad) throws RegistroConDependenciaException;
	
    public List<TipoParada> buscar(String desctipo);
}
